// StopLightControl class for CSCI 201 StopLight lab

// (c) J. Dean Brock, 2004
// Department of Computer Science
// UNC Asheville

// Based on C++ StopLight
// (c) J. Dean Brock, 1998

package edu.unca.cs.csci201.LabAids ;

/**
 * Class used to control the stop light
 */
public class StopLightControl {
    
    StopLightDisplay NSLight;
    StopLightDisplay EWLight;
    
    /**
     * Constructor for stop light
     * @param NS North-South signal
     * @param EW East West signal
     */
    public StopLightControl(StopLightDisplay NS, StopLightDisplay EW) {
        NSLight = NS ;
        EWLight = EW ;
    }
    
    /**
     * North South red bulb
     * @param newNSRed True to turn on and false to turn off
     */
    public void setNSRed(boolean newNSRed) {
        NSLight.setRed(newNSRed) ;
    }
    
    /**
     * State of North South red bulb
     * @return True, if on, and false if off.
     */
    public boolean getNSRed() {
        return NSLight.getRed() ;
    }
    
    /**
     * North South green bulb
     * @param newNSGreen True to turn on and false to turn off
     */
    public void setNSGreen(boolean newNSGreen) {
        NSLight.setGreen(newNSGreen) ;
    }
    
    /**
     * State of North South green bulb
     * @return True, if on, and false if off.
     */
    public boolean getNSGreen() {
        return NSLight.getGreen() ;
    }
    
    /**
     * North South yellow bulb
     * @param newNSYellow True to turn on and false to turn off
     */
    public void setNSYellow(boolean newNSYellow) {
        NSLight.setYellow(newNSYellow) ;
    }
    
    /**
     * State of North South yellow bulb
     * @return True, if on, and false if off.
     */
    public boolean getNSYellow() {
        return NSLight.getYellow() ;
    }
    
    /**
     * East West red bulb
     * @param newEWRed True to turn on and false to turn off
     */
    public void setEWRed(boolean newEWRed) {
        EWLight.setRed(newEWRed) ;
    }
    
    /**
     * State of East West red bulb
     * @return True, if on, and false if off.
     */
    public boolean getEWRed() {
        return EWLight.getRed() ;
    }
    
    /**
     * East West green bulb
     * @param newEWGreen True to turn on and false to turn off
     */
    public void setEWGreen(boolean newEWGreen) {
        EWLight.setGreen(newEWGreen) ;
    }
    
    /**
     * State of East West green bulb
     * @return True, if on, and false if off.
     */
    public boolean getEWGreen() {
        return EWLight.getGreen() ;
    }
    
    /**
     * East West yellow bulb
     * @param newEWYellow True to turn on and false to turn off
     */
    public void setEWYellow(boolean newEWYellow) {
        EWLight.setYellow(newEWYellow) ;
    }
    
    /**
     * State of East West yellow bulb
     * @return True, if on, and false if off.
     */
    public boolean getEWYellow() {
        return EWLight.getYellow() ;
    }

}
